# GtkComboPeriodic Struct Reference

`#include <gcu/gtkcomboperiodic.h>`

## Detailed Description

The GtkComboPeriodic is a combo box with a dropdown periodic table widget.

## Signals

This widget has one signal:

- "changed": void user_function (GtkWidget* periodic, guint Z, gpointer data).
  Parameters:

    | periodic,: | the object which received the signal.
    | Z,: | the atomic number of the newly selected element or 0 if none is selected.
    | data,: | user data set when the signal handler was connected.

  This signal is raised when the selected element changes in the widget.

## Functions

Functions related to the GtkComboPeriodic Widget are described in the gtkcomboperiodic.h page.

The documentation for this struct was generated from the following file:

- gtkcomboperiodic.h